## Tool: `validate_pass_jwt`

Validates the JWT representation of a pass, or the unencoded JWT payload as a JSON string for a pass.

The following code sample shows how to use `curl` to call the `validate_pass_jwt` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://paydeveloper.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "validate_pass_jwt", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for validating the JWT representation of a pass, or the unencoded JWT payload as a JSON string for a pass.

### ValidatePassJwtRequest

| JSON representation |
|---|
| ``` { // Union field `resource` can be only one of the following: "passJwt": string, "passJson": string // End of list of possible types for union field `resource`. } ``` |

| Fields ||
|---|---|
| Union field `resource`. The resource to validate. One of these must be set. `resource` can be only one of the following: ||
| `passJwt` | `string` A string representing a JWT of the format described at <https://developers.google.com/wallet/reference/rest/v1/Jwt>. |
| `passJson` | `string` A JSON string representing the unencoded JWT payload for a pass of the format described at <https://developers.google.com/wallet/reference/rest/v1/Jwt>. This can be set to either the entire JSON representation described at this link or just the contents of the payload field holding the relevant pass classes and objects. |
|   ||

## Output Schema

Response message for validating the JWT representation of a pass, or the unencoded JWT payload as a JSON string for a pass.

### Tool Annotations


[Tool annotations](https://modelcontextprotocol.io/specification/latest/schema#toolannotations) are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.


Along with the title string, the following boolean hints are defined as follows:

- `readOnlyHint`: If true, the tool doesn't modify its environment. Default: false.
- `destructiveHint`: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
- `idempotentHint`: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
- `openWorldHint`: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌